Description: Fix cross build from source
Author: Helmut Grohne <helmut@subdivi.de>
Last-Update: 2020-08-27
Forwarded: no
Bug-Debian: https://bugs.debian.org/969119

--- a/configure.in
+++ b/configure.in
@@ -96,11 +96,15 @@
 	AC_MSG_ERROR([No complex number type!])
 fi
 
+AC_CHECK_SIZEOF([double])
+AC_COMPUTE_INT([SIZEOF_CF_TYPE],[sizeof($CF_TYPE)])
+SIZEOF_2DOUBLE=`expr $ac_cv_sizeof_double + $ac_cv_sizeof_double`
+
 AC_MSG_CHECKING([for corresponding real data type])
-AC_RUN_IFELSE(
-	[AC_LANG_PROGRAM([], [return sizeof($CF_TYPE) == 2*sizeof(double)])],
-	[RF_TYPE="float"],
-	[RF_TYPE="double"; AC_DEFINE(USE_DOUBLE)], [float])
+AS_IF(
+      	[test "$SIZEOF_2DOUBLE" = "$SIZEOF_CF_TYPE"],
+	[RF_TYPE="double"; AC_DEFINE(USE_DOUBLE)],
+	[RF_TYPE="float"])
 AC_MSG_RESULT($RF_TYPE)
 
 
